Page MenuHomeFreeBSD

pf: Limit the fragment entry queue length to 64 per bucket.
ClosedPublic

Authored by kp on Oct 28 2018, 6:30 AM.

Details

Summary

So we have a global limit of 1024 fragments, but it is fine grained to
the region of the packet. Smaller packets may have less fragments.
This costs another 16 bytes of memory per reassembly and devides the
worst case for searching by 8.

Obtained from: OpenBSD

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

kp created this revision.Oct 28 2018, 6:30 AM
kp added a reviewer: network.Oct 28 2018, 6:31 AM
kp set the repository for this revision to rS FreeBSD src repository.
eri accepted this revision.Oct 30 2018, 5:48 PM
eri added a subscriber: eri.
eri added inline comments.
sys/netpfil/pf/pf_norm.c
91 ↗(On Diff #49719)

Can you correct the formatting here?

This revision is now accepted and ready to land.Oct 30 2018, 5:48 PM
kp updated this revision to Diff 49869.Nov 1 2018, 10:58 AM

Formatting change.

This revision now requires review to proceed.Nov 1 2018, 10:58 AM
This revision was not accepted when it landed; it landed in state Needs Review.Nov 2 2018, 3:32 PM
This revision was automatically updated to reflect the committed changes.